/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for iswspace(wint_t).  This function will return a
   non-zero value if the parameter is a white space character.
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;

    wc = ' ';
    fputwc(wc, stdout);
    if(iswspace(wc) != 0)
        printf(": is a white space character.\n");
    else
        printf(": is not a white space character.\n");
}

